\documentclass[a4paper,11pt]{article} 
\usepackage[T1]{fontenc} 
\usepackage[utf8]{inputenc} 
\usepackage{graphicx}
\usepackage{subcaption}
\usepackage{amsmath} 
\usepackage{amssymb}
\usepackage{commath}
\usepackage{hyperref}
\title{Computational Finance \\ 	
\Large Worksheet 4} 
\author{Lisa Beer, Alex Dyck, Ho-Yin Leung}
\date{} 
\begin{document}
	\maketitle 	
	
	% -----------Task 1--------------------
	\begin{figure}
	  \begin{subfigure}{\textwidth}
	  \includegraphics[width=\textwidth]{graphics/s4t11.png}
	  \subcaption{Discretization Mesh for $M=32$}
	  \end{subfigure}
	  
	  \begin{subfigure}{\textwidth}
	  \includegraphics[width=\textwidth]{graphics/s4t12.png}
	  \subcaption{Discretization Mesh for $M=32$}
	  \end{subfigure}
	  \caption{Task 1}
	\end{figure}
	% -----------Task 2--------------------
	\begin{figure}
	  \includegraphics[width=\textwidth]{graphics/s4t2.png}
	  \caption{Task 2}
	\end{figure}
	% -----------Task 3--------------------
	\begin{figure}
	  \includegraphics[width=\textwidth]{graphics/s4t3.png}
	  \caption{Task 3}
	\end{figure}
	\textbf{Task 3.} The american put option can be bounded below by the payoff function. This bound can
	be explained by the possibility of early exercise. If the option price would be lower than the
	payoff, it would cause risk-free bargain. As seen in the plots the European and American option are converge to each other as an American option 
	which is exercised at time $T$ should have the same price as the European option.
	
	\textbf{Task 4.} We are not quite sure, whether our result is right. It looks kind of wrong. It should be expected that the Broadie Algorithm is more volatile due to the 
	both (high and low) estimators. 
	\begin{figure}
	 \includegraphics[width=\textwidth]{graphics/s4t4.png}
	 \caption{Task 4: Comparison of Binomial method (Bin) and Broadie Glasserman (BG) Algorithm.}
	\end{figure}
	
	\begin{figure}
	 \includegraphics[width=\textwidth]{graphics/s4t42.png}
	 \caption{Task 4: Simulation of the geometric Brownian motions within the BG algorithm. (Probably not accurate? But a tree with ordered nodes would be also pretty full for 10 Branches)}
	\end{figure}

	

\end{document}